Subject: Re: How-to checkin git hook

From: Joe D'Abbraccio <[email-masked]>
Date: Mon, 17 Aug 2009 16:46:10 -0400

Thanks for the info.

How do people typically manage the hooks for their projects?  These may 
change over the life of the project and may be project version 
dependent.  Is the best way to place them into another subdir within 
your project with instructions on updating the hooks files?  Looks like 
a step that would be prone to errors though.

And how about the fact that post-checkout.sample is missing in the 
release I am using.  Is this the only one missing or are there others?

It would also be a good idea if the githooks man page explains this. 
Maybe when I better understand how hooks are best managed, I will 
provide my thoughts on the man page.

Regards,
Joe

Alex Riesen wrote:
> On Mon, Aug 17, 2009 at 22:15, Joe D'Abbraccio<[email-masked]> wrote:
>> I have not been able to find out how to commit and push a hook to my git
>> server archive for everyone's benefit. The githooks man page does not
>> describe this and I have not turned up any fruitful google searches on the
>> topic.
>>
>> I am trying to add a post-checkout hook. I also noticed that the
>> post-checkout sample does not exist when I init a new archive. Is this a
>> bug?  I am running git version 1.6.0.2.
> 
> No. It didn't occurred to anyone before to push repository's configuration
> and service files (the hooks). Everybody just copied them into the server
> repositories or edited them in place.
> 
> If the server is a public place like github, it is not very likely they allow
> you to run anything you like on their servers (and hooks are programs).
>